### Method

# Atk StateSet or_sets

#### Declaration [src]

    AtkStateSet*
    atk_state_set_or_sets (
      AtkStateSet* set,
      AtkStateSet* compare_set
    )

#### Description [src]

Constructs the union of the two sets.

#### Parameters

`compare_set`

  Type: `AtkStateSet`

  Another `AtkStateSet`.

  The data is owned by the caller of the method.

#### Return value

Type: `AtkStateSet`

A new `AtkStateSet` which is the union of the two sets, returning `NULL` is empty.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.